> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a random entity

> Returns a random entity from a specific client and program



## OpenAPI

````yaml get /frontend/entities/random/{client_id}/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/entities/random/{client_id}/{program_id}:
    get:
      tags:
        - Frontend
      summary: View a random entity
      description: Returns a random entity from a specific client and program
      operationId: bc497ad62f51c3ecf46a1e92d8b3e8c6
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  redirect_url:
                    description: The URL to view the entity
                    type: string
                  message:
                    description: Error message if no recipients found
                    type: string
                type: object
        '400':
          description: Invalid ID supplied
        '404':
          description: Entity not found

````